Gecode::Support::JobStop< RetType > Class Template Reference

Class to throw an exception to stop new jobs from being started. More...

`#include <run-jobs.hpp>`

## Public Member Functions

| JobStop (RetType r0)
| Constructor.
RetType | result (void) const
| Return the passed result.

## Protected Attributes

RetType | r
| The result stored.

## Detailed Description

template<class RetType>
class Gecode::Support::JobStop< RetType >

Class to throw an exception to stop new jobs from being started.

Definition at line 49 of file run-jobs.hpp.

## Constructor & Destructor Documentation

## JobStop()

template<class RetType>

Gecode::Support::JobStop< RetType >::JobStop | ( | RetType | r0 | ) |

inline

Constructor.

Definition at line 164 of file run-jobs.hpp.

## Member Function Documentation

## result()

template<class RetType>

RetType Gecode::Support::JobStop< RetType >::result | ( | void |  | ) | const

inline

Return the passed result.

Definition at line 168 of file run-jobs.hpp.

## Member Data Documentation

## r

template<class RetType>

RetType Gecode::Support::JobStop< RetType >::r

protected

The result stored.

Definition at line 52 of file run-jobs.hpp.

The documentation for this class was generated from the following file:

- gecode/support/run-jobs.hpp